/**
  Copyright (C) 2012-2013 by Autodesk, Inc.
  All rights reserved.

  Redirect configuration.

  $Revision$
  $Date$
*/

description = "Redirect";
vendor = "Autodesk";
vendorUrl = "http://www.autodesk.com";
legal = "Copyright (C) 2012-2013 by Autodesk, Inc.";
certificationLevel = 2;

longDescription = "Example post to demonstrate redirection to other post.";

extension = "redir";
// using user code page

allowHelicalMoves = true;
allowSpiralMoves = true;
allowedCircularPlanes = undefined; // allow any circular motion
maximumCircularSweep = toRad(1000000);

function onOpen() {
}

function onDwell() {
}

function onCycle() {
}

function onCyclePoint() {
}

function onCycleEnd() {
}

function onRapid() {
}

function onLinear() {
}

function onRapid5D() {
}

function onLinear5D() {
}

function onCircular() {
}

function onCommand(command) {
}

function onSectionEnd() {
}

function onClose() {
}

function quote(text) {
  var result = "";
  for (var i = 0; i < text.length; ++i) {
    var ch = text.charAt(i);
    switch (ch) {
    case "\"":
      result += "\"";
    }
    result += ch;
  }
  return "\"" + result + "\"";
}

function onTerminate() {
  var outputPath = getOutputPath();
  var postPath = findFile("setup-sheet-excel.cps");
  var intermdiatePath = FileSystem.replaceExtension(outputPath, "cnc");
  var _arguments = "--property unit " + ((unit == IN) ? 0 : 1); // use 0 for inch and 1 for mm
  _arguments += " --property programName \"'" + programName + "\"'";
  _arguments += " --property programComment \"'" + programComment + "\"'";
  _arguments += " --log temp.log " + quote(postPath) + " " + quote(intermdiatePath) + " " + quote(outputPath);

  execute(getPostProcessorPath(), _arguments, false, "");
}
